Module ij
Package ij.plugin

# Class Memory

java.lang.Object
ij.plugin.Memory

All Implemented Interfaces:
  `PlugIn`

public class Memory extends Object implements PlugIn
This plugin implements the Edit/Options/Memory command.

## Constructor Summary

Constructors
Constructor
Description
`Memory()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getMemorySetting()`
`long`
`maxMemory()`
Returns the maximum amount of memory this JVM will attempt to use.
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Memory

public Memory()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### getMemorySetting

public long getMemorySetting()

### maxMemory

public long maxMemory()
Returns the maximum amount of memory this JVM will attempt to use.